Package Gnumed :: Package timelinelib :: Package config :: Module dateformatparser |
[frames] | no frames]

# Module dateformatparser

source code

Classes
| DateFormatParser

Variables
| REGION_START_POS = `0`
| REGION_LENGTH = `1`
| REGION_SEPARATOR = `2`
| REGION_TYPE = `3`
| YEAR = `"YEAR"`
| MONTH = `"MONTH"`
| DAY = `"DAY"`
| ERROR_TEXT = `_("`...``

Imports: GregorianDateFormatter

Variables Details

  ### ERROR_TEXT Value:
      _("""\
      Invalid Date Format:

      The format should contain
          one year placeholder  = yyyy
          one month placeholder = mmm or mm
          one day placeholder   = dd
          two placeholders for separators between year, month and day
      ...